<?php
/**
*
* @author               Jan Kulmann <jankul@zmml.uni-bremen.de>
*
*/

// +---------------------------------------------------------------------------+
// This file is NOT part of Stud.IP
// Copyright (C) 2009 Jan Kulmann <jankul@zmml.uni-bremen.de>
// ATTENTION: Please send ALL bug reports and security leaks directly to the author.
//            Thx!
// +---------------------------------------------------------------------------+
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or any later version.
// +---------------------------------------------------------------------------+
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// +---------------------------------------------------------------------------+

class Thema {

	var $titel;
	var $beschreibung;
	var $user_id;
	var $visible;
	var $thema_id;
	var $perm;
	var $mkdatum;

	function Thema($id=FALSE) {
		if (!$id) {
			$this->titel = "";
			$this->beschreibung = "";
			$this->user_id = "";
			$this->visible = 0;
			$this->thema_id = "";
			$this->perm = "autor";
			$this->mkdatum = 0;
		} else {
			$db = new DB_Seminar();
			$db->queryf("SELECT * FROM sb_themen WHERE thema_id='%s'",$id);
			if ($db->next_record()) {
				$this->titel = $db->f("titel");
	                        $this->beschreibung = $db->f("beschreibung");
        	                $this->user_id = $db->f("user_id");
                	        $this->visible = $db->f("visible");
	                        $this->perm = $db->f("perm");
        	                $this->thema_id = $db->f("thema_id");
				$this->mkdatum = $db->f("mkdate");
			}
		}
	}

	function save() {
		$db = new DB_Seminar();
		if ($this->titel != "") {
			if ($this->thema_id != "")
				$db->queryf("UPDATE sb_themen SET titel='%s', beschreibung='%s', visible=%d, perm='%s' WHERE thema_id='%s'",$this->titel, mysql_escape_string($this->beschreibung), $this->visible, $this->perm, $this->thema_id);
			else {
				$id = md5(uniqid(time()));
				$db->queryf("INSERT INTO sb_themen (thema_id, titel, user_id, mkdate, beschreibung, visible, perm) VALUES ('%s','%s','%s',UNIX_TIMESTAMP(),'%s', %d, '%s')",$id,$this->titel,$GLOBALS['auth']->auth['uid'],mysql_escape_string($this->beschreibung),$this->visible, $this->perm);
			}
		}
	}

	function delete() {
		if ($this->thema_id) {
			$db = new DB_Seminar();
			$db->queryf("DELETE FROM sb_visits WHERE object_id='%s'",$this->thema_id);
			$db->queryf("DELETE FROM sb_artikel WHERE thema_id='%s'",$this->thema_id);
			$db->queryf("DELETE FROM sb_themen WHERE thema_id='%s'",$this->thema_id);
		}
	}

	function setTitel($s) {
		$this->titel = trim($s);
	}
	
	function setBeschreibung($s) {
		$this->beschreibung = trim($s);
	}
	
	function setUserId($s) {
		$this->user_id = $s;
	}

	function setVisible($s) {
		$this->visible = $s;
	}
	
	function setThemaId($s) {
		$this->thema_id = $s;
	}

	function setPerm($s) {
		$this->perm = $s;
	}

	function getTitel() {
		return $this->titel;
	}

	function getBeschreibung() {
		return stripslashes($this->beschreibung);
	}

	function getUserId() {
		return $this->user_id;
	}

	function getVisible() {
		return $this->visible;
	}

	function getThemaId() {
		return $this->thema_id;
	}

	function getPerm() {
		return $this->perm;
	}

	function getMkdate() {
		return $this->mkdatum;
	}
	
}

?>
