<?
/**
* @author               Jan Kulmann <jankul@zmml.uni-bremen.de>
*/

// +---------------------------------------------------------------------------+
// Copyright (C) 2007-2008 Jan Kulmann <jankul@zmml.uni-bremen.de>
// +---------------------------------------------------------------------------+
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or any later version.
// +---------------------------------------------------------------------------+
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// +---------------------------------------------------------------------------+

page_open(array('sess' => 'Seminar_Session', 'auth' => 'Seminar_Default_Auth', 'perm' => 'Seminar_Perm', 'user' => 'Seminar_User'));

if (!array_key_exists('cmd', $_REQUEST)) die;

require_once ("lib/functions.php");
require_once('classes/SBDBM.class.php');
require_once('classes/RSSProducer.class.php');
require_once('classes/Artikel.class.php');
require_once('vendor/flexi/template_factory.php');

$rss_path = dirname(__FILE__);
$rss_path = substr($rss_path, -(strlen($GLOBALS['ABSOLUTE_PATH_STUDIP'])+1));
$rss_path = $GLOBALS['ABSOLUTE_URI_STUDIP'].$rss_path.'/rss.php';

$template_path = dirname(__FILE__) . '/templates/flexi/rss';
$factory = new Flexi_TemplateFactory($template_path);

switch($_REQUEST['cmd']) {
	case 'getThema':
		$thema_id = escapeshellcmd(basename(trim($_REQUEST['tid'])));
		if (!$thema_id) die;
		$zeit = get_config('BULLETIN_BOARD_DURATION') * 24 * 60 * 60;
		$dbm = new SBDBM($zeit);
		$rss = new RSSProducer(&$dbm, $rss_path);
		return $rss->create_rss_stream($thema_id);
		break;
	case 'getArtikel':
		$artikel_id = escapeshellcmd(basename(trim($_REQUEST['id'])));
		if (!$id) die;
		$a = new Artikel($id);
		if (($a->getPublicVisible() == 1 && $GLOBALS['auth']->auth["uid"] == 'nobody') || $GLOBALS['auth']->auth["uid"] != 'nobody') {
			$tags = $a->getTags();
                        $beschreibung = formatready($a->getBeschreibung(),1,1);
                        if (count($tags) > 0) {
                                $beschreibung .= "<BR><BR><SPAN STYLE=\"font-size:0.7em;\">Tags: | ";
                                foreach ($tags as $tt)
                                        $beschreibung .= $tt." | ";
                                $beschreibung .= "</SPAN>";
                        }
			$template = $factory->open('html_item');
                        $template->set_attribute('titel', utf8_encode(formatReady($a->getTitel())));
                        //$template->set_attribute('beschreibung', utf8_encode(formatready($a->getBeschreibung(),1,1)));
                        $template->set_attribute('beschreibung', $beschreibung);
			echo $template->render();
		} else die;
		break;
	default: ;
}
?>
