<?php
/**
*
* @author               Jan Kulmann <jankul@zmml.uni-bremen.de>
*
*/

// +---------------------------------------------------------------------------+
// This file is NOT part of Stud.IP
// Copyright (C) 2009 Jan Kulmann <jankul@zmml.uni-bremen.de>
// ATTENTION: Please send ALL bug reports and security leaks directly to the author.
//            Thx!
// +---------------------------------------------------------------------------+
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or any later version.
// +---------------------------------------------------------------------------+
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// +---------------------------------------------------------------------------+

class AddSubThemen extends DBMigration {

        function description () {
                return 'database changes to add sub themen for schwarzes brett plugin';
        }

        function up () {
                $this->db->query("
CREATE TABLE IF NOT EXISTS `sb_subthemen` (
  `subthema_id` varchar(32) NOT NULL,
  `thema_id` varchar(32) NOT NULL,
  `user_id` varchar(32) NOT NULL,
  `titel` varchar(255) NOT NULL,
  PRIMARY KEY  (`subthema_id`),
  KEY `thema_id` (`thema_id`)
) ENGINE=MyISAM");

		$this->db->query("ALTER TABLE `sb_artikel` ADD `subthema_id` VARCHAR( 32 ) NOT NULL AFTER `thema_id` ;");
        }

        function down () {
                $this->db->query("DROP TABLE `sb_subthemen`");
		$this->db->query("ALTER TABLE `sb_artikel` DROP `subthema_id`");
        }

}

?>
