<?php
/**
*
* @author               Jan Kulmann <jankul@zmml.uni-bremen.de>
*
*/

// +---------------------------------------------------------------------------+
// This file is NOT part of Stud.IP
// Copyright (C) 2009 Jan Kulmann <jankul@zmml.uni-bremen.de>
// ATTENTION: Please send ALL bug reports and security leaks directly to the author.
//            Thx!
// +---------------------------------------------------------------------------+
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or any later version.
// +---------------------------------------------------------------------------+
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// +---------------------------------------------------------------------------+


class AddGlobalTags extends DBMigration {

        function description () {
                return 'database changes to add global tags for schwarzes brett plugin';
        }

        function up () {
                $this->db->query("
INSERT IGNORE INTO `sb_tags` (`tag_id`, `tag`, `owner`) VALUES
('6e506edf55da198f36b03ba83d1771f9', 'fahrgemeinschaft', 'root'),
('ca107058ac04be9a6c8c0f915069b168', 'angebot', 'root'),
('5d3a585304a963982c965e2c26acd441', 'gesuch', 'root'),
('8ca193c463d51dfaeb921c324ae60037', 'nachhilfe', 'root'),
('370a1361405cb1ac187b82630ce19b34', 'lerngruppe', 'root'),
('4816700f618121a73f31803d43a3f98d', 'lehrbuch', 'root'),
('773e31eeebc8e0ad7ac76d60b561d407', 'wg-zimmer', 'root'),
('2fadc4f4ef8998184d52669db39b5e55', 'computer', 'root'),
('61c4b127165b40b8db18ab76509fb115', 'technik', 'root'),
('949a59e2900649210546efb3a364c682', 'jobs', 'root'),
('375819352d9d96afa651213d4f261b80', 'hiwi', 'root'),
('3c18e70a429dfb10df0916f7476deb7c', 'masterarbeit', 'root'),
('bbc5993936747f9887733bd422340559', 'diplomarbeit', 'root'),
('02f717b97911fdaaf8d4a80c3bfe6342', 'studienarbeit', 'root'),
('0cb401b5870b9349236943de0d4f172e', 'tauschen', 'root'),
('ae64f980a7b9201503f5e428238fbfbe', 'wohnung', 'root'),
('27cc43e05116044ac96bb133d96f030c', 'tandem', 'root'),
('13f37312358dd3d70388780952f60db4', 'wg-grndung', 'root'),
('eeb38b88d113db964e9ef5f4b7d82b3a', 'zimmer', 'root'),
('48b1c45346a90b2996642fb0ed1da7df', 'mitfahrgelegenheit', 'root'),
('46150fe78e1346d60163515a192f79c4', 'skript', 'root'),
('949d27e5c406a70fccfc70757b250d3a', 'buch', 'root'),
('76697b111d24af23c5fec9e674361f0c', 'untersttzung', 'root'),
('54824bcba679090b080f519e9645b1de', 'hilfe', 'root'),
('d1229111c8cf20f6833303c5aa3419a3', 'notebook', 'root'),
('f76d2cd8884a5bcb5c865b70f27ff40b', 'laptop', 'root'),
('dea427eaa96aeb074e97143a8e11f43d', 'verkaufen', 'root'),
('8650706e9a241f5cdf5e457914c0a5ad', 'kaufen', 'root'),
('bf5f2802a48d2de31890538356a63ccc', 'uni', 'root'),
('0e55f3ca8f765a68bb0deae481c15f70', 'stud.ip', 'root'),
('29c1858c1887ff34843f665ee6fdc2e9', 'internet', 'root'),
('079753b771facb95ad0277490711ba00', 'software', 'root'),
('8e2e0c0d6e834e05799d167c6be7d62e', 'hardware', 'root');
");
        }

        function down () {
                $this->db->query("DELETE FROM `sb_tags` WHERE `owner` = 'root'");
        }

}

?>
